aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/extract-ikconfig
diff options
context:
space:
mode:
authorAlexey Dobriyan <adobriyan@gmail.com>2006-03-24 03:15:56 -0800
committerLinus Torvalds <torvalds@g5.osdl.org>2006-03-24 07:33:21 -0800
commitff45e99dcd31e1810a9892ce28190bff262e4e12 (patch)
tree81d1e76fa63acd316e82b448a4c3878238fb822c /scripts/extract-ikconfig
parent66f9f59a5bfcb9efc8acad5ff0ece02fdaca6817 (diff)
[PATCH] extract-ikconfig: be sure binoffset exists before extracting
Signed-off-by: Alexey Dobriyan <adobriyan@gmail.com> Signed-off-by: Andrew Morton <akpm@osdl.org> Signed-off-by: Linus Torvalds <torvalds@osdl.org>
Diffstat (limited to 'scripts/extract-ikconfig')
-rwxr-xr-xscripts/extract-ikconfig1
1 files changed, 1 insertions, 0 deletions
diff --git a/scripts/extract-ikconfig b/scripts/extract-ikconfig
index ef6140dc2ded..be2e57977419 100755
--- a/scripts/extract-ikconfig
+++ b/scripts/extract-ikconfig
@@ -4,6 +4,7 @@
# $arg1 is [b]zImage filename
binoffset="./scripts/binoffset"
+test -e $binoffset || cc -o $binoffset ./scripts/binoffset.c || exit 1
IKCFG_ST="0x49 0x4b 0x43 0x46 0x47 0x5f 0x53 0x54"
IKCFG_ED="0x49 0x4b 0x43 0x46 0x47 0x5f 0x45 0x44"

Privacy Policy